Subject: Re: bug#69983: Use category for display-buffer-alist

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Apr 2024 10:40:01 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 11 Apr 2024 09:31:45 +0300
> 
> >> > More importantly, if we want to let programs and users control where
> >> > the warnings are displayed, I'd rather we introduced a new,
> >> > warning.el-specific option.  Up front, there's no reason for anyone to
> >> > assume that display-buffer-alist will have _any_ effect on
> >> > display-warning, because we don't document that display-warning uses
> >> > display-buffer.  So we could one day decide to implement the display
> >> > of the warnings in an entirely different fashion, and then no
> >> > customizations of display-buffer-alist will be able to affect the
> >> > display.  In fact, in some situations we already display the warning
> >> > other than via display-buffer.
> >>
> >> These are just excuses to not make life easier for users of
> >> horizontally split windows.
> >
> > I don't see how a warning-specific option could be an "excuse".  It
> > can solve the problem you attempt to solve as well as what you
> > propose.
> 
> There is already the option display-buffer-alist.

Which I think is not appropriate for customizing what warnings.el
does, for the reasons I explained above.